org.gcube.dataanalysis.dataminer.poolmanager.util

## Class SVNUpdater

- java.lang.Object
- - org.gcube.dataanalysis.dataminer.poolmanager.util.SVNUpdater

    public class SVNUpdater
    extends Object

Created by ggiammat on 5/9/17.

### Constructor Summary

Constructors
Constructor and Description
`SVNUpdater()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `checkIfAvaialable(String file, Collection<Dependency> deps)`
`List<String>` `checkMatch(String[] lines, List<String> ls)`
`boolean` `fileExists(String path, long revision)`
`String` `generateAlgorithmEntry(Algorithm algorithm, String targetVRE, String category, String algorithm_type)`
`String` `getDependencyFile(String language)`
`String` `getDependencyFileProd(String language)`
`String` `getProdDependencyFile(String language)`
`String` `getStagingDependencyFile(String language)`
`String` `getTimeZone()`
`Collection<String>` `getUndefinedDependencies(String file, Collection<Dependency> deps)`
`static void` `main(String[] args)`
`static String` `md5(byte[] contents)`
`void` `putFile(ByteArrayInputStream byteArrayInputStream, String destinationFolder, String fileName)`
`static ByteArrayInputStream` `reteriveByteArrayInputStream(File file)`
`void` `updateAlgorithmFiles(File a)`
`void` `updateAlgorithmFilesProd(File a)`
`void` `updateAlgorithmList(String svnMainAlgoRepo, File a)`
`void` `updateFile(ByteArrayInputStream byteArrayInputStream, String destinationFolder, String fileName)`
`void` `updateSVN(String file, Collection<Dependency> deps)`
`void` `updateSVNAlgorithmList(String file, Algorithm algorithm, String targetVRE, String category, String algorithm_type, String user)`
`void` `updateSVNProdAlgorithmList(Algorithm algorithm, String targetVRE, String category, String algorithm_type, String user)`
`void` `updateSVNStagingAlgorithmList(Algorithm algorithm, String targetVRE, String category, String algorithm_type, String user)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SVNUpdater

    public SVNUpdater()
               throws org.tmatesoft.svn.core.SVNException

Throws:
  `org.tmatesoft.svn.core.SVNException`

### Method Detail

#### getDependencyFile

    public String getDependencyFile(String language)

#### getDependencyFileProd

    public String getDependencyFileProd(String language)

#### getStagingDependencyFile

    public String getStagingDependencyFile(String language)

#### getProdDependencyFile

    public String getProdDependencyFile(String language)

#### updateSVNStagingAlgorithmList

    public void updateSVNStagingAlgorithmList(Algorithm algorithm,
                                              String targetVRE,
                                              String category,
                                              String algorithm_type,
                                              String user)

#### updateSVNProdAlgorithmList

    public void updateSVNProdAlgorithmList(Algorithm algorithm,
                                           String targetVRE,
                                           String category,
                                           String algorithm_type,
                                           String user)

#### updateAlgorithmFiles

    public void updateAlgorithmFiles(File a)
                              throws org.tmatesoft.svn.core.SVNException

Throws:
  `org.tmatesoft.svn.core.SVNException`

#### updateAlgorithmFilesProd

    public void updateAlgorithmFilesProd(File a)
                                  throws org.tmatesoft.svn.core.SVNException

Throws:
  `org.tmatesoft.svn.core.SVNException`

#### updateAlgorithmList

    public void updateAlgorithmList(String svnMainAlgoRepo,
                                    File a)
                             throws org.tmatesoft.svn.core.SVNException

Throws:
  `org.tmatesoft.svn.core.SVNException`

#### putFile

    public void putFile(ByteArrayInputStream byteArrayInputStream,
                        String destinationFolder,
                        String fileName)
                 throws org.tmatesoft.svn.core.SVNException

Throws:
  `org.tmatesoft.svn.core.SVNException`

#### updateFile

    public void updateFile(ByteArrayInputStream byteArrayInputStream,
                           String destinationFolder,
                           String fileName)
                    throws org.tmatesoft.svn.core.SVNException

Throws:
  `org.tmatesoft.svn.core.SVNException`

#### fileExists

    public boolean fileExists(String path,
                              long revision)
                       throws org.tmatesoft.svn.core.SVNException

Throws:
  `org.tmatesoft.svn.core.SVNException`

#### reteriveByteArrayInputStream

    public static ByteArrayInputStream reteriveByteArrayInputStream(File file)
                                                             throws IOException

Throws:
  `IOException`

#### updateSVNAlgorithmList

    public void updateSVNAlgorithmList(String file,
                                       Algorithm algorithm,
                                       String targetVRE,
                                       String category,
                                       String algorithm_type,
                                       String user)

#### generateAlgorithmEntry

    public String generateAlgorithmEntry(Algorithm algorithm,
                                         String targetVRE,
                                         String category,
                                         String algorithm_type)
                                  throws ParseException

Throws:
  `ParseException`

#### getUndefinedDependencies

    public Collection<String> getUndefinedDependencies(String file,
                                                       Collection<Dependency> deps)
                                                throws org.tmatesoft.svn.core.SVNException

Throws:
  `org.tmatesoft.svn.core.SVNException`

#### checkIfAvaialable

    public boolean checkIfAvaialable(String file,
                                     Collection<Dependency> deps)
                              throws org.tmatesoft.svn.core.SVNException

Throws:
  `org.tmatesoft.svn.core.SVNException`

#### updateSVN

    public void updateSVN(String file,
                          Collection<Dependency> deps)

#### md5

    public static String md5(byte[] contents)

#### checkMatch

    public List<String> checkMatch(String[] lines,
                                   List<String> ls)

#### getTimeZone

    public String getTimeZone()
                       throws ParseException

Throws:
  `ParseException`

#### main

    public static void main(String[] args)
                     throws org.tmatesoft.svn.core.SVNException,
                            ParseException

Throws:
  `org.tmatesoft.svn.core.SVNException`
  `ParseException`